Tools
Test API Integration Tool
Test an API integration tool with sample parameters
POST
/
tools
/
{tool_id}
/
test
Test Tool
curl --request POST \
--url https://api.kallabot.com/tools/{tool_id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"date": "2024-01-15",
"time": "14:30"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({date: '2024-01-15', time: '14:30'})
};
fetch('https://api.kallabot.com/tools/{tool_id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/tools/{tool_id}/test"
payload = {
"date": "2024-01-15",
"time": "14:30"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"data": {
"tool_id": "<string>",
"tool_name": "<string>",
"test_status": "<string>",
"http_status": 123,
"response_data": {},
"request_url": "<string>",
"request_method": "<string>",
"test_params": {},
"tested_at": "2023-11-07T05:31:56Z"
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Parameters to test the tool with - should match the tool's expected parameters
⌘I
Test Tool
curl --request POST \
--url https://api.kallabot.com/tools/{tool_id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"date": "2024-01-15",
"time": "14:30"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({date: '2024-01-15', time: '14:30'})
};
fetch('https://api.kallabot.com/tools/{tool_id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/tools/{tool_id}/test"
payload = {
"date": "2024-01-15",
"time": "14:30"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"data": {
"tool_id": "<string>",
"tool_name": "<string>",
"test_status": "<string>",
"http_status": 123,
"response_data": {},
"request_url": "<string>",
"request_method": "<string>",
"test_params": {},
"tested_at": "2023-11-07T05:31:56Z"
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}
